FriBID forum

FriBID är ett fritt program för e-legitimation med BankID.

You are not logged in.


Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/fribid-forum/public_html/software/fluxbb-1.4.3/include/parser.php on line 717

#1 2014-03-19 14:35:59

muken
Member
Registered: 2011-09-08

Nya Handelsbankenkort verkar inte fungera

Fick ett nytt BankID från Handelsbanken, men det verkar inte vara supporterat av opensc.

Med det gamla kortet:

$ opensc-tool -n
Using reader with a card: VASCO DIGIPASS 920 [CCID] 00 00
SetCOS

Det nya kortet:

$ opensc-tool -n
Using reader with a card: VASCO DIGIPASS 920 [CCID] 00 00
Unsupported card

Någon annan som råkat ut för detta och vet vad det är för ny typ av kort och om det finns någon lösning?

Offline

#2 2014-04-07 17:07:39

danka
Member
Registered: 2014-04-07

Re: Nya Handelsbankenkort verkar inte fungera

Har också nytt (någon månad) kort från Handelsbanken, men med följande resultat:

$ opensc-tool -n
Using reader with a card: Handelsbanken card reader [MCI_OSR_0205] 00 00
JCOP cards with BlueZ PKCS#15 applet

Jag kan också se certifikaten på kortet med pkcs15-tool:

$ pkcs15-tool -c
Using reader with a card: Handelsbanken card reader [MCI_OSR_0205] 00 00
X.509 Certificate [legitimera]
...
X.509 Certificate [underteckna]
...
X.509 Certificate [Bank CA]
...
X.509 Certificate [e-kund CA]
...

Däremot får jag alltid meddelande om felaktig PIN-kod när det används (trots att jag matar in rätt kod!). Har testat Handelsbanken och test.fribid.se. Funkar utmärkt med det tidigare kortet.

Ubuntu 13.10
pcscd 1.8.6-3ubuntu1b1
shbecrdeb 1.0.2

/Daniel

Last edited by danka (2014-04-07 17:09:35)

Offline

#3 2014-08-03 09:51:03

SA7AEN
Member
Registered: 2011-05-11

Re: Nya Handelsbankenkort verkar inte fungera

Ingen som har några bra nyheter om de nya korten? Jag har bara kommit så långt som ovan, alltså det varkar fungera men PIN koden fungerar inte.

Offline

#4 2014-08-14 09:25:36

sampi
Member
Registered: 2014-08-14

Re: Nya Handelsbankenkort verkar inte fungera

Har idag skickat Handelsbanken följande meddelande, inloggad via internetbanken & med Kundsupporten - Internettjänsten som mottagare. Återkommer med en sammanfattning av deras svar när sådant dykt upp.

Ärende: Övrigt
Ämne: Tvingar nytt e-leggskort mig till bankbyte?

God förmiddag!

Om mindre än tre månader kommer mitt e-legitimationskort passera sitt bäst före-datum. För ett tag sedan skickade ni ut ett nytt kort till mig. Dessvärre kan jag dock inte få detta nya att fungera.

Förvisso förstår jag att Linux inte är en plattform ni officiellt stödjer, men med tanke på att er tjänst fungerat alldeles problemfritt fram tills nu så antar jag att ni i praktiken stödjer era kunders miljöer så länge vi inte ställer allt för ogenomtänka frågor till supporten. Är det ett rimligt & korrekt antagande?

Personligen har jag inte hunnit göra någon allt för teknisk djupdykning i problemet, men från följande forumpost <http://forum.fribid.se/viewtopic.php?id=234> & felanalysen som finns här <https://aur.archlinux.org/packages/pcsc … anken-bin/> förstår jag två saker. Den första att jag är långt ifrån ensam om att uppleva detta & den andra att orsaken är en teknikskifte hos era kort. Skillnaden mellan era gamla kort & nya kort är att de förstnämda är SetCOS medan de nya är IBM JCOP. OpenSC har uppenbarligen stöd för den första tekniktypen, men inte för den andra.

Är ni medvetna om denna fråga?

Finns det något ni är beredda att göra för att fortsatt leverera e-legitimation till mig & andra Linux-användare?

De utvägar jag annars ser för mig personligen är att antingen bli expert på smartcards & lägga till stöd för den nya korttypen i OpenSC, eller att byta bank till en som tillhandahåller mig e-legitimation även efter november. Alternativ ett är ingen alternativ. Det vore ett jätteprojekt med uppskattningsvis månader av heltidsarbete som jag varken vill eller kan utföra.

Jag är väldigt nöjd hos er så jag hoppas & frågar om ni ser någon utväg ur detta för att lyckas behålla mig som kund?

Offline

#5 2014-08-15 09:50:08

sampi
Member
Registered: 2014-08-14

Re: Nya Handelsbankenkort verkar inte fungera

Nu har jag, utöver tips om Nexus-klienten & ett löfte om en framtida Android-app, fått följande svar som tydligt meddelar att vi är out-of-luck vad det gäller SHB & e-legitimation i det närmaste:

SHB wrote:

Vi har tyvärr inga planer på att ge ut någon annan korttyp än de inloggningskort vi ger ut idag och vi kommer tyvärr inte längre kunna ge ut den äldre korttypen.
Så vi har inga möjligheter att tillhandahålla dig med ett kort som fortsättningsvis kommer fungera med fribid.

Så den som har ett stort bolån hos SHB, eller av annan anledning ogärna vill byta bank får gärna känna sig manad att hacka in stöd för IBM JCOP i OpenSC?! big_smile

Offline

#6 2014-08-30 19:15:24

Handelspantad
Member
Registered: 2014-08-30

Re: Nya Handelsbankenkort verkar inte fungera

Jag har idag försökt få mitt Handelsbankenkort från våren 2012 att fungera.  Jag har varit väldigt nära flera gånger att fråga efter hjälp i forumet men i sista stund hittat nya saker jag kunnat testa. Sista testet jag gjorde var opensc-tool -av och där sjunk paletten ner, jag har det nya kortet.

Så hur löses detta problemet då jag tänker inte införskaffa ett annat operativsystem eller en smarttelefon bara för att dom som utvecklar BankID och Handelsbanken motarbetar frihet.

Stort suck.

Offline

Board footer

Powered by FluxBB